This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 984088 - allow idmap-plugin symlink to be managed by the "alternatives" system
allow idmap-plugin symlink to be managed by the "alternatives" system
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cifs-utils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Layton
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 984643
  Show dependency treegraph
 
Reported: 2013-07-12 13:53 EDT by Jeff Layton
Modified: 2014-06-18 03:43 EDT (History)
6 users (show)

See Also:
Fixed In Version: cifs-utils-6.1-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 984643 (view as bug list)
Environment:
Last Closed: 2013-07-15 09:40:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Layton 2013-07-12 13:53:42 EDT
Currently cifs-utils tracks what plugin to use via a symlink in /etc/cifs-utils. We already have another facility for these sorts of symlinks in /etc/alternatives. Change it to use a symlink in that directory instead.
Comment 1 Jeff Layton 2013-07-15 09:32:10 EDT
Ok, slight difference here...

The alternatives system relies on double-indirection, so we basically need to change /etc/cifs-utils/idmap-plugin to an "alternative" (a symlink that points into /etc/alternatives). The "alternatives" command takes care of the rest.

The only tricky part is that the old idmap-plugin is listed as a %config(noreplace) in the old package. So we need to change that to a %ghost directive to make sure the removal of the old package doesn't remove the symlink created in the %post script by the alternatives command.

I'll hopefully have this fixed in rawhide today...
Comment 2 Jeff Layton 2013-07-15 09:40:31 EDT
Ok, new package pushed to rawhide and it seems to do the right thing. Closing with resolution of RAWHIDE.
Comment 3 Fedora Update System 2013-07-15 11:59:45 EDT
cifs-utils-6.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cifs-utils-6.1-3.fc19
Comment 4 Fedora Update System 2013-07-24 20:51:11 EDT
cifs-utils-6.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.